Checks if this server is an arbiter member of a replica set

- « MongoDB\Driver\Server::getType

- MongoDB\Driver\Server::isHidden »

- PHP Manual
- MongoDB\Driver\Server
- Checks if this server is an arbiter member of a replica set

# MongoDB\Driver\Server::isArbiter

(mongodb >=1.0.0)

MongoDB\Driver\Server::isArbiter — Checks if this server is an arbiter member of a replica set

### Description

final public MongoDB\Driver\Server::isArbiter(): bool

Returns whether this server is an » arbiter member of a replica set.

### Parameters

This function has no parameters.

### Return Values

Returns `true` if this server is an arbiter member of a replica set, and `false` otherwise.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### See Also

- MongoDB\Driver\Server::getInfo() - Returns an array of information describing this server